Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511341 - Metrics collection from Prometheus may hit timeout
Summary: Metrics collection from Prometheus may hit timeout
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Red Hat CloudForms Documentation
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On:
Blocks: 1513116
TreeView+ depends on / blocked
 
Reported: 2017-11-09 07:54 UTC by Yaacov Zamir
Modified: 2018-06-21 20:42 UTC (History)
4 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1513116 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:42:06 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)
the timeout message (deleted)
2017-11-09 07:54 UTC, Yaacov Zamir
no flags Details

Description Yaacov Zamir 2017-11-09 07:54:27 UTC
Created attachment 1349806 [details]
the timeout message

Description of problem:
Metrics collection from OCP 3.7 using Prometheus may hit timeout while collecting metrics.

a. the default timeouts are too small
b. users can not set new timeout values to fit their system

How reproducible:
Read metrics from an OCP using Prometheus metrics and having a lot of metrics collected

Steps to Reproduce:
1. Have a system with at least 10 nodes with 10 pods each and 10 containers each.
2. Try to open the ad-hoc metrics page.

Actual results:
a timeout message

Expected results:
the metrics collected from prometheus

Comment 2 Dave Johnson 2017-11-09 08:03:01 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 Dave Johnson 2017-11-09 09:44:26 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 6 Yaacov Zamir 2017-11-13 12:39:19 UTC
Merged upstream:
https://github.com/ManageIQ/manageiq-providers-kubernetes/pull/167


Note You need to log in before you can comment on or make changes to this bug.